> ## Documentation Index
> Fetch the complete documentation index at: https://mtaapi.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NYC Ferry stops for a route

> Get ordered NYC Ferry stop patterns from the static GTFS feed.



## OpenAPI

````yaml /openapi.json get /api/v1/nyc-ferry/routes/{route}/stops
openapi: 3.1.2
info:
  title: MTA API
  description: Managed, API-key protected access to MTA realtime and static data.
  version: 0.1.0
servers:
  - url: https://www.mtaapi.dev
    description: Production
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: subway
    description: Subway realtime data
  - name: bus
    description: BusTime realtime data
  - name: path
    description: PATH realtime arrivals for New Jersey stations
  - name: nj-transit-rail
    description: NJ Transit RailData realtime data
  - name: nyc-ferry
    description: NYC Ferry GTFS and GTFS-Realtime data
  - name: citi-bike
    description: Citi Bike GBFS station and service data
  - name: lirr
    description: Long Island Rail Road GTFS and GTFS-Realtime data
  - name: metro-north
    description: Metro-North Railroad GTFS and GTFS-Realtime data
  - name: alerts
    description: Service alerts
  - name: stops
    description: Route-aware static GTFS stop lookup
  - name: system
    description: Health and database status
paths:
  /api/v1/nyc-ferry/routes/{route}/stops:
    get:
      tags:
        - nyc-ferry
      summary: Get NYC Ferry stops for a route
      description: Get ordered NYC Ferry stop patterns from the static GTFS feed.
      operationId: getApiV1Nyc-ferryRoutesByRouteStops
      parameters:
        - name: route
          in: path
          required: true
          schema:
            minLength: 1
            type: string
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                required:
                  - route
                  - mode
                  - directions
                properties:
                  route:
                    type: object
                    required:
                      - id
                      - mode
                    properties:
                      id:
                        type: string
                      shortName:
                        type: string
                      longName:
                        type: string
                      type:
                        type: number
                      color:
                        type: string
                      textColor:
                        type: string
                      mode:
                        const: nyc-ferry
                        type: string
                  mode:
                    const: nyc-ferry
                    type: string
                  directions:
                    type: array
                    items:
                      type: object
                      required:
                        - direction
                        - stops
                      properties:
                        direction:
                          type: string
                        headsigns:
                          type: array
                          items:
                            type: string
                        stops:
                          type: array
                          items:
                            type: object
                            required:
                              - id
                              - name
                              - lat
                              - lon
                              - mode
                            properties:
                              id:
                                type: string
                              name:
                                type: string
                              lat:
                                type: number
                              lon:
                                type: number
                              parentId:
                                type: string
                              mode:
                                const: nyc-ferry
                                type: string
      x-codeSamples:
        - lang: typescript
          label: mta-js
          source: |-
            import { MTA } from "mta-js";
            const mta = new MTA({ apiKey: process.env.MTA_API_KEY });
            const data = await mta.nycFerry.routeStops({ route: "ER" });
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.